<mat-drawer-container class="app-sidenav-container" autosize>
    <mat-drawer #drawer class="app-sidenav" mode="side">
        <mat-toolbar color="primary">
            Contacts
        </mat-toolbar>
        <mat-list>
            <mat-list-item>
                <mat-card>Simple card</mat-card>
            </mat-list-item>
            <mat-list-item>Item 2</mat-list-item>
            <mat-list-item>Item 3</mat-list-item>
        </mat-list>
    </mat-drawer>

    <div class="app-sidenav-content">
        <app-toolbar></app-toolbar>
        <router-outlet></router-outlet>
        <button type="button" mat-button (click)="drawer.toggle()">
            Toggle sidenav
        </button>
    </div>

</mat-drawer-container>